Debian Bug report logs - #236841
dialog: Help-Button doesn't print package at exit

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jörg Sommer <joerg@alea.gnuu.de>

Date: Mon, 8 Mar 2004 16:48:02 UTC

Severity: normal

Found in version 0.9b-20040301-1

Fixed in version dialog/0.9b-20040314-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#236841; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: Help-Button doesn't print package at exit
Date: Mon, 8 Mar 2004 17:31:58 +0100
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 0.9b-20040301-1
Severity: normal

Hi,

if the help button is pressed, dialog exits and prints only "HELP "
without the package the cursor is on.

Simply try: dialog --help-button --checklist "bla" 22 60 18 a foo off

This patch should fix this problem.

#v+
diff -ur dialog-0.9b-20040301/checklist.c /home/joerg/programmieren/pkg/dialog-0
--- dialog-0.9b-20040301/checklist.c    2004-03-01 00:07:51.000000000 +0100
+++ /home/joerg/programmieren/pkg/dialog-0.9b-20040301/checklist.c      2004-03-
@@ -510,6 +510,17 @@
                dlg_add_result(ItemHelp(scrollamt + choice));
            }
            result = DLG_EXIT_OK;       /* this is inconsistent */
+       } else {
+           if (show_status) {
+               if (separate_output) {
+                   dlg_add_result(ItemName(scrollamt + choice));
+                   dlg_add_result("\n");
+               } else {
+                   dlg_add_quoted(ItemName(scrollamt + choice));
+               }
+           } else {
+               dlg_add_result(ItemName(scrollamt + choice));
+           }
        }
        break;
     }
#v-

Regards, Joerg.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.3-ben2
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages dialog depends on:
ii  debianutils               2.7.2          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-11   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-5 Shared libraries for terminal hand

-- no debconf information
-- 
Was der Bauer nicht kennt, das frißt er nicht. Würde der Städter kennen,
was er frißt, er würde umgehend Bauer werden.
                                                       Oliver Hassencamp
[signature.asc (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 236841-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 236841-forwarded@bugs.debian.org, Jörg Sommer <joerg@alea.gnuu.de>
Subject: Bug#236841: dialog: Help-Button doesn't print package at exit (fwd)
Date: Mon, 8 Mar 2004 19:58:27 +0100 (CET)
Hello.

Received today:

---------- Forwarded message ----------
From: Jörg Sommer <joerg@alea.gnuu.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Mon, 8 Mar 2004 17:31:58 +0100
Subject: Bug#236841: dialog: Help-Button doesn't print package at exit
Resent-Sender: Santiago Vila <sanvila@master.debian.org>

Package: dialog
Version: 0.9b-20040301-1
Severity: normal

Hi,

if the help button is pressed, dialog exits and prints only "HELP "
without the package the cursor is on.

Simply try: dialog --help-button --checklist "bla" 22 60 18 a foo off

This patch should fix this problem.

#v+
diff -ur dialog-0.9b-20040301/checklist.c /home/joerg/programmieren/pkg/dialog-0
--- dialog-0.9b-20040301/checklist.c    2004-03-01 00:07:51.000000000 +0100
+++ /home/joerg/programmieren/pkg/dialog-0.9b-20040301/checklist.c      2004-03-
@@ -510,6 +510,17 @@
                dlg_add_result(ItemHelp(scrollamt + choice));
            }
            result = DLG_EXIT_OK;       /* this is inconsistent */
+       } else {
+           if (show_status) {
+               if (separate_output) {
+                   dlg_add_result(ItemName(scrollamt + choice));
+                   dlg_add_result("\n");
+               } else {
+                   dlg_add_quoted(ItemName(scrollamt + choice));
+               }
+           } else {
+               dlg_add_result(ItemName(scrollamt + choice));
+           }
        }
        break;
     }
#v-

Regards, Joerg.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.3-ben2
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages dialog depends on:
ii  debianutils               2.7.2          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-11   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-5 Shared libraries for terminal hand

-- no debconf information
-- 
Was der Bauer nicht kennt, das frißt er nicht. Würde der Städter kennen,
was er frißt, er würde umgehend Bauer werden.
                                                       Oliver Hassencamp



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#236841; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #13 received at 236841@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 236841@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=236841
Date: Wed, 10 Mar 2004 05:22:38 -0500
>                       Debian Bug report logs - #236841
>               dialog: Help-Button doesn't print package at exit
The manpage already addresses this:

       --help-button
              Show  a  help-button  after  "OK" and "Cancel" buttons, i.e., in
              checklist, radiolist and menu boxes.   If  --item-help  is  also
              given,  on  exit  the  return status will be the same as for the
              "OK" button, and the item-help text will be written to  dialog's
              output  after  the  token  "HELP".  Otherwise, the return status
              will indicate that the Help button was pressed, and  no  message
              printed.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@unex.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jörg Sommer <joerg@alea.gnuu.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 236841-done@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Jörg Sommer <joerg@alea.gnuu.de>
Cc: 236841-done@bugs.debian.org
Subject: Bug#236841: dialog: Help-Button doesn't print package at exit
Date: Wed, 10 Mar 2004 13:11:50 +0100 (CET)
On Wed, 10 Mar 2004, Thomas Dickey wrote:

> >                       Debian Bug report logs - #236841
> >               dialog: Help-Button doesn't print package at exit
>
> The manpage already addresses this:
>
>    --help-button
>          Show  a  help-button  after  "OK" and "Cancel" buttons, i.e., in
>          checklist, radiolist and menu boxes.   If  --item-help  is  also
>          given,  on  exit  the  return status will be the same as for the
>          "OK" button, and the item-help text will be written to  dialog's
>          output  after  the  token  "HELP".  Otherwise, the return status
>          will indicate that the Help button was pressed, and  no  message
>          printed.

Thanks a lot. I'm closing the bug, then.



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#236841; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Joerg Sommer <joerg@alea.gnuu.de>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #23 received at 236841@bugs.debian.org (full text, mbox):

From: Joerg Sommer <joerg@alea.gnuu.de>
To: 236841@bugs.debian.org
Subject: Re: Bug#236841 acknowledged by developer (Bug#236841: dialog: Help-Button doesn't print package at exit)
Date: Thu, 11 Mar 2004 18:42:32 +0100
[Message part 1 (text/plain, inline)]
begin  Debian Bug Tracking System schrieb am Wed 10. Mar, 04:18 (-0800) :
> >    --help-button
> >          Show  a  help-button  after  "OK" and "Cancel" buttons, i.e., in
> >          checklist, radiolist and menu boxes.   If  --item-help  is  also
> >          given,  on  exit  the  return status will be the same as for the
> >          "OK" button, and the item-help text will be written to  dialog's
> >          output  after  the  token  "HELP".  Otherwise, the return status
> >          will indicate that the Help button was pressed, and  no  message
> >          printed.

--item-help means I get a line at the bottom of the dialog with a
message. Right? But I don't want this message and I need to know for
which item the user wants help? How can I do this?

Regards, Joerg.
end.
-- 
Fuchs' Paradoxon (http://www.bruhaha.de/laws.html):
Wer eine allgemeine Frage beliebigen Themas nach de.alt.arnooo postet und
eine ernsthafte Antwort erwartet, ist dort eigentlich ziemlich ontopic.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#236841; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #28 received at 236841@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 236841@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=236841
Date: Sat, 13 Mar 2004 10:47:37 -0500
>                       Debian Bug report logs - #236841
>               dialog: Help-Button doesn't print package at exit
sorry - you're correct.  I was misreading the patch.  I'll add it to my
next update.

>--item-help means I get a line at the bottom of the dialog with a
>message. Right? But I don't want this message and I need to know for
>which item the user wants help? How can I do this?
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#236841; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #33 received at 236841@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>, 236841@bugs.debian.org, control@bugs.debian.org
Cc: 236841-submitter@bugs.debian.org
Subject: dialog: Help-Button doesn't print package at exit
Date: Sat, 13 Mar 2004 17:26:24 +0100 (CET)
reopen 236841
thanks

On Sat, 13 Mar 2004, Thomas Dickey wrote:

> >                       Debian Bug report logs - #236841
> >               dialog: Help-Button doesn't print package at exit
> sorry - you're correct.  I was misreading the patch.  I'll add it to my
> next update.

I'm reopening the bug, then.



Bug reopened, originator not changed. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Jörg Sommer <joerg@alea.gnuu.de>:
Bug#236841. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jörg Sommer <joerg@alea.gnuu.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 236841-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 236841-close@bugs.debian.org
Subject: Bug#236841: fixed in dialog 0.9b-20040314-1
Date: Mon, 15 Mar 2004 13:32:02 -0500
Source: dialog
Source-Version: 0.9b-20040314-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20040314-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20040314-1.diff.gz
dialog_0.9b-20040314-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20040314-1.dsc
dialog_0.9b-20040314-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20040314-1_i386.deb
dialog_0.9b-20040314.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20040314.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 236841@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 15 Mar 2004 17:01:16 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20040314-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 236841
Changes: 
 dialog (0.9b-20040314-1) unstable; urgency=low
 .
   * New upstream release.
   - Fixed missing bounds check for mouse-clicks in menubox (Bug #233044).
   - Modified checklist.c to add item name to the "HELP" string when
     "--help-button" is used and no --item-help option is given.
     (Closes: #236841).
Files: 
 0de6ca01ac3f06229ec3064896dfeb89 596 misc optional dialog_0.9b-20040314-1.dsc
 5df73ee372afa5b047c0d715248a4eab 273716 misc optional dialog_0.9b-20040314.orig.tar.gz
 5e5743b8fd5d2ea04451e26d7d6efca4 7205 misc optional dialog_0.9b-20040314-1.diff.gz
 18f06b970c0f34955e0ad86ca92cf3c0 167962 misc optional dialog_0.9b-20040314-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAVdQCd9Uuvj7yPNYRAmG4AKCR55uU22vCjfWzcmPyVsVNOvGT7wCdEpEI
kqWJ9hgOHA2WR+hygymv+XA=
=dsEI
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:46:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.